View Issue Details

IDProjectCategoryView StatusLast Update
0001528SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.13 
Target Version3.5.14Fixed in Version3.5.14 
Summary0001528: Routing can get stuck if there are lots of gaps that range across a large amount of data that has already been routed
DescriptionRouting can get stuck if there are lots of gaps that range across a large amount of data that has already been routed.

The take() of data that needs to be routed, times out after a default of 330 seconds. If the reader takes longer than this to get past data that has already been routed, then the router job times out and starts over.

There is a flag that can be checked to see if a timed out job can start reading again.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 35c25d2f

2014-01-14 12:34:16

chenson

Details Diff
0001528: Routing can get stuck if there are lots of gaps that range across a large amount of data that has already been routed
0001528
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

Issue History

Date Modified Username Field Change
2014-01-13 20:56 chenson New Issue
2014-01-13 20:56 chenson Status new => assigned
2014-01-13 20:56 chenson Assigned To => chenson
2014-01-13 21:02 chenson Description Updated View Revisions
2014-01-14 12:34 chenson Status assigned => resolved
2014-01-14 12:34 chenson Fixed in Version => 3.5.14
2014-01-14 12:34 chenson Resolution open => fixed
2014-01-17 08:18 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7863
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 35c25d2f